
Enduro/X Core - Support #550

test037: Unit test might thread shared resource id as ipc key and thus test fails

05/13/2020 10:49 AM - Madars

Status: Closed Start date: 10/18/2020

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

**** IPCS ALL ****

------ Message Queues --------

key        msqid      owner      perms      used-bytes   messages

------ Shared Memory Segments --------

key        shmid      owner      perms      bytes      nattch     status

0x0052e2c1 0          postgres   600        40         6

0x00000000 131073     root       600        393216     2          dest

0x00000000 229378     root       600        393216     2          dest

0x00000000 294915     pi         600        524288     2          dest

0x00000000 393220     pi         600        393216     2          dest

0x00055000 509935625  user1      770        12440000   6

0x00055001 509968394  user1      770        7520000    10

0x00055002 510001163  user1      770        128        10

0x00055005 510033932  user1      770        3680000    1

------ Semaphore Arrays --------

key        semid      owner      perms      nsems

0x00044002 73826305   user1      660        1

0x00055000 76054531   user1      660        30

0x00055002 76087300   user1      660        1

**** IPCS 51000 ****

0x00055002 510001163  user1      770        128        10

**** IPCS END ****

DOM1 Semaphores (guessed): 1

TESTERROR! The semaphore with key [51000] must be removed!!

Test exiting with: 19

Setting domain 1

Subtasks:

Feature # 598: svqids and svsemids shall work in similar way as shms. Added headers for... Closed

History

#1 - 10/18/2020 09:12 PM - Madars

- Status changed from New to Resolved

#2 - 10/18/2020 09:12 PM - Madars

- Status changed from Resolved to Closed
